import { IModuleMinificationCallback, IModuleMinificationRequest, IModuleMinifier } from './ModuleMinifierPlugin.types';
import { MinifyOptions } from 'terser';
import './OverrideWebpackIdentifierAllocation';
/**
 * Options for configuring the LocalMinifier
 * @public
 */
export interface ILocalMinifierOptions {
    terserOptions?: MinifyOptions;
}
/**
 * Minifier implementation that minifies code on the main thread.
 * @public
 */
export declare class LocalMinifier implements IModuleMinifier {
    private readonly _terserOptions;
    private readonly _resultCache;
    constructor(options: ILocalMinifierOptions);
    /**
     * Transform that invokes Terser on the main thread
     * @param request - The request to process
     * @param callback - The callback to invoke
     */
    minify(request: IModuleMinificationRequest, callback: IModuleMinificationCallback): void;
}
//# sourceMappingURL=LocalMinifier.d.ts.map